Subject: [netmod] NETMOD SYSLOG YANG Model / additional attributes

From: Dmytro Gassanov <[email-masked]>
Date: Fri, 24 Jun 2016 15:38:50 +0000

Hello Everybody,

I also read the latest revision of "SYSLOG YANG Model" and did not found attributes regarding "Timestamp format" and "Sequence number".

>From my understanding these attributes are important.

What do you think about adding these attributes?

Thank you.

Best regards,

Dmytro Gassanov,
Netcracker Technology

+380 44 238-8727 | ext. 6825 | office
+380 67 441-5834 | mobile

We are Netcracker, and we are focused forward

________________________________
The information transmitted herein is intended only for the person or entity to which it is addressed and may contain confidential, proprietary and/or privileged material. Any review, retransmission, dissemination or other use of, or taking of any action in reliance upon, this information by persons or entities other than the intended recipient is prohibited. If you received this in error, please contact the sender and delete the material from any computer.

---

From: "Clyde Wildes (cwildes)" <[email-masked]>
Date: Mon, 27 Jun 2016 22:23:47 +0000

Dmytro,

RFC 5424 The Syslog Protocol, defines the message format for syslog messages and the proposed ietf-syslog.yang model supports both free form and structured data format Syslog messages as specified by RFC 5424.

TIMESTAMP is described in section 6.2.3 of the RFC. Sequence number could be implemented as free form text in the MSG field (section 6.4), or it could be an SD-ELEMENT (section 6.3.1) if structured data format is used. Section 7.3.1 – sequenceId shows an example of a structured data sequence number implementation.

Thanks,

Clyde

From: netmod <[email-masked]> on behalf of Dmytro Gassanov <[email-masked]>
Date: Friday, June 24, 2016 at 8:38 AM
To: "[email-masked]" <[email-masked]>
Cc: Andrew Veitch <[email-masked]>
Subject: [netmod] NETMOD SYSLOG YANG Model / additional attributes

Hello Everybody,

I also read the latest revision of “SYSLOG YANG Model” and did not found attributes regarding “Timestamp format” and “Sequence number”.

Thank you.

Best regards,

Dmytro Gassanov,
Netcracker Technology